﻿CREATE TABLE SkupinaFiltrov
(
	SkupinaFiltrovID	INTEGER PRIMARY KEY AUTOINCREMENT,
	Popis				TEXT NULL
);

ALTER TABLE Filter ADD SkupinaFiltrovID INTEGER NULL;

CREATE TRIGGER BD_SkupinaFiltrov
BEFORE DELETE ON SkupinaFiltrov
FOR EACH ROW BEGIN
	UPDATE Filter SET SkupinaFiltrovID = NULL WHERE SkupinaFiltrovID = OLD.SkupinaFiltrovID;
END;

INSERT INTO SkupinaFiltrov (Popis) VALUES ('Benzín');
INSERT INTO SkupinaFiltrov (Popis) VALUES ('Reťazce');

