﻿ALTER TABLE FilterPodmienka ADD DruhObratuID INTEGER NULL;

INSERT INTO Filter (Popis) VALUES ('Výbery');
INSERT INTO
	FilterPodmienka (DruhObratuID, FilterID)
VALUES
	(1, (SELECT last_insert_rowid() FROM Filter));

INSERT INTO Filter (Popis) VALUES ('TP / Inkaso');
INSERT INTO
	FilterPodmienka (DruhObratuID, FilterID)
VALUES
	(3, (SELECT last_insert_rowid() FROM Filter));

DROP VIEW Obraty;

CREATE VIEW Obraty AS
	SELECT
		ObratID,
		Identifikator,
		Datum,
		Poznamka,
		DruhID,
		Ciastka,
		UcetID,
		Ignorovat,
		DruhID AS DruhObratuID,
		CAST(STRFTIME('%m', Datum) AS INTEGER) AS Mesiac,
		CAST(STRFTIME('%Y', Datum) AS INTEGER) AS Rok,
		CASE WHEN DruhID IN (1, 2, 3, 4, 7) THEN 1 ELSE 0 END AS JeVydaj
FROM Obrat;


