﻿using System;
using System.Windows;

namespace EvidenciaUctov.Dialogy
{
	// *************************************************************************
	// *** VytvoritDbDialog ****************************************************
	// *************************************************************************
	public partial class VytvoritDbDialog : Window
	{
		// ---------------------------------------------------------------------
		// --- VytvoritDbDialog Konstruktor ------------------------------------
		// ---------------------------------------------------------------------
		public VytvoritDbDialog()
		{
			InitializeComponent();

			this.Inicializovat(PasswordBoxHeslo);
		}

		// ---------------------------------------------------------------------
		// --- VytvoritDbDialog Udalosti ---------------------------------------
		// ---------------------------------------------------------------------
		private void ButtonOK_Click(object sender, RoutedEventArgs e)
		{
			bool validneHeslo =
				(string.IsNullOrEmpty(PasswordBoxHeslo.Password) && string.IsNullOrEmpty(PasswordBoxHeslo.Password)) ||
				PasswordBoxHeslo.Password.Equals(PasswordBoxHeslo.Password);

			if (!validneHeslo)
				throw new Exception("Heslá nie sú totožné!");

			DialogResult = true;
		}
	} // public partial class VytvoritDbDialog

} // namespace EvidenciaUctov.Dialogy