﻿using System.Windows;
using EvidenciaUctov.Utils;

namespace EvidenciaUctov.Dialogy
{
	// *************************************************************************
	// *** UcetDialog **********************************************************
	// *************************************************************************
	public partial class ZvolitBankuDialog : Window
	{
		// ---------------------------------------------------------------------
		// --- ZvolitBankuDialog Konstruktor -----------------------------------
		// ---------------------------------------------------------------------
		public ZvolitBankuDialog()
		{
			InitializeComponent();
			this.Inicializovat(ComboBoxBanka);

			// Naplnime zoznam s bankami
			ComboBoxBanka.ItemsSource = EnumUtils.GetEnumList<Banka>(Banka.Neznama);
		}

		// ---------------------------------------------------------------------
		// --- ZvolitBankuDialog Vlastnosti ------------------------------------
		// ---------------------------------------------------------------------
		public Banka? VybranaBanka
		{
			get { return ComboBoxBanka.SelectedIndex < 0 ? (Banka?)null : (Banka)ComboBoxBanka.SelectedValue; } // get
		}

		// ---------------------------------------------------------------------
		// --- ZvolitBankuDialog Udalosti --------------------------------------
		// ---------------------------------------------------------------------
		private void ButtonOk_Click(object sender, RoutedEventArgs e)
		{
			DialogResult = (VybranaBanka != null);
		}
	} // public partial class ZvolitBankuDialog

} // namespace EvidenciaUctov.Dialogy