﻿using EvidenciaUctov.Utils;

namespace EvidenciaUctov
{
	// *************************************************************************
	// *** Banka ***************************************************************
	// *************************************************************************
	public enum Banka
	{
		Neznama,
		Slsp
	} // Banky

	// *************************************************************************
	// *** Ucet ****************************************************************
	// *************************************************************************
	public class Ucet
	{
		// ---------------------------------------------------------------------
		internal int? UcetID;
		public string Nazov;
		public Banka Banka;
		public string CisloUctu;

		// ---------------------------------------------------------------------
		// --- Ucet Konstruktor ------------------------------------------------
		// ---------------------------------------------------------------------
		public Ucet(string nazov, Banka banka, string cisloUctu)
		{
			Nazov = nazov;
			Banka = banka;
			CisloUctu = cisloUctu;
		}

		// ---------------------------------------------------------------------
		// --- Ucet Metody -----------------------------------------------------
		// ---------------------------------------------------------------------
		public override string ToString()
		{
			return string.Format("{0} [{1}]", Nazov, Banka.Slsp.Description());
		}
	} // public struct Ucet

} // namespace EvidenciaUctov