﻿using System.Security.Cryptography;
using System.Text;

namespace EvidenciaUctov.Utils
{
	// *************************************************************************
	// *** HashUtils ***********************************************************
	// *************************************************************************
	public static class HashUtils
	{
		// ---------------------------------------------------------------------
		public static string GetHash(string value, HashAlgorithm hashAlgorithm)
		{
			byte[] hash = hashAlgorithm.ComputeHash(Encoding.UTF8.GetBytes(value));

			StringBuilder builder = new StringBuilder();
			foreach (byte item in hash)
				builder.Append(item.ToString("X2"));

			return builder.ToString();
		}

		// ---------------------------------------------------------------------
		public static string ToMd5(this string value)
		{
			return GetHash(value, new MD5CryptoServiceProvider());
		}
	} // public static class HashUtils

} // namespace EvidenciaUctov.Utils