﻿using System;
using System.Diagnostics;
using System.IO;

namespace EvidenciaUctov.Utils
{
	// *************************************************************************
	// *** Log *****************************************************************
	// *************************************************************************
	public static class Log
	{
		// ---------------------------------------------------------------------
		public static string FileName = AppDomain.CurrentDomain.BaseDirectory + "Aplikacia.log";

		// ---------------------------------------------------------------------
		// --- Log Metody ------------------------------------------------------
		// ---------------------------------------------------------------------
		public static void Write(Exception e)
		{
			if (e != null)
				Write(e.Message);
		}

		// ---------------------------------------------------------------------
		public static void Write(string message)
		{
			try // catch
			{
				File.AppendAllText(FileName, DateTime.Now.ToString() + ": " + message + "\n");
			} // try
			catch (Exception e)
			{
				Debug.Assert(false, e.Message);
			} // catch
		}
	} // public static class Log

} // namespace EvidenciaUctov.Utils