﻿ALTER TABLE Obrat ADD Ignorovat INTEGER NULL;

CREATE VIEW Obraty AS
	SELECT
		ObratID,
		Identifikator,
		Datum,
		Poznamka,
		DruhID,
		Ciastka,
		UcetID,
		Ignorovat,
		CAST(STRFTIME('%m', Datum) AS INTEGER) AS Mesiac,
		CAST(STRFTIME('%Y', Datum) AS INTEGER) AS Rok,
		CASE WHEN DruhID IN (1, 2, 3, 4, 7) THEN 1 ELSE 0 END AS JeVydaj
FROM Obrat;


