﻿CREATE TABLE Filter
(
	FilterID	INTEGER PRIMARY KEY AUTOINCREMENT,
	Popis		TEXT NULL,
	Ignorovat	INTEGER NULL
);

CREATE TABLE FilterPodmienka
(
	FilterPodmienkaID	INTEGER PRIMARY KEY AUTOINCREMENT,
	FilterID			INTEGER NOT NULL,
	Format				TEXT NULL
);

CREATE TRIGGER BD_Filter
BEFORE DELETE ON Filter
FOR EACH ROW BEGIN
	DELETE FROM FilterPodmienka WHERE (FilterID = OLD.FilterID);
END;

INSERT INTO Filter (Popis) VALUES ('Shell');
INSERT INTO
	FilterPodmienka (Format, FilterID)
VALUES
	('shell', (SELECT last_insert_rowid() FROM Filter));

INSERT INTO Filter (Popis) VALUES ('Billa');
INSERT INTO
	FilterPodmienka (Format, FilterID)
VALUES
	('billa', (SELECT last_insert_rowid() FROM Filter));

INSERT INTO Filter (Popis) VALUES ('Carrefour');
INSERT INTO
	FilterPodmienka (Format, FilterID)
VALUES
	('carrefour', (SELECT last_insert_rowid() FROM Filter));

INSERT INTO Filter (Popis) VALUES ('Tesco');
INSERT INTO
	FilterPodmienka (Format, FilterID)
VALUES
	('tesco', (SELECT last_insert_rowid() FROM Filter));
INSERT INTO
	FilterPodmienka (Format, FilterID)
VALUES
	('ts ke', (SELECT last_insert_rowid() FROM Filter));

INSERT INTO Filter (Popis) VALUES ('Orange');
INSERT INTO
	FilterPodmienka (Format, FilterID)
VALUES
	('orange', (SELECT last_insert_rowid() FROM Filter));

INSERT INTO Filter (Popis) VALUES ('Hypernova');
INSERT INTO
	FilterPodmienka (Format, FilterID)
VALUES
	('hypernova', (SELECT last_insert_rowid() FROM Filter));

INSERT INTO Filter (Popis) VALUES ('Lidl');
INSERT INTO
	FilterPodmienka (Format, FilterID)
VALUES
	('lidl', (SELECT last_insert_rowid() FROM Filter));

INSERT INTO Filter (Popis) VALUES ('Kaufland');
INSERT INTO
	FilterPodmienka (Format, FilterID)
VALUES
	('kaufland', (SELECT last_insert_rowid() FROM Filter));


