﻿using System.Windows;
using EvidenciaUctov.Utils;

namespace EvidenciaUctov.Dialogy
{
	// *************************************************************************
	// *** FilterLogickyOperator ***********************************************
	// *************************************************************************
	public partial class FilterLogickyOperator : Window
	{
		// ---------------------------------------------------------------------
		// --- FilterLogickyOperator Konstruktor -------------------------------
		// ---------------------------------------------------------------------
		public FilterLogickyOperator()
		{
			InitializeComponent();
			this.Inicializovat();

			ComboBoxOperator.ItemsSource = EnumUtils.GetEnumDictionaryList(/*vynechat*/LogickyOperator.Ziaden);
		}

		// ---------------------------------------------------------------------
		// --- FilterLogickyOperator Vlastnosti --------------------------------
		// ---------------------------------------------------------------------
		#region Mapovanie

		// ---------------------------------------------------------------------
		public LogickyOperator Operator
		{
			get { return ComboBoxOperator.SelectedIndex < 0 ? LogickyOperator.Ziaden : ComboBoxOperator.SelectedValue.GetEnumValue<LogickyOperator>(); } // get
			set { ComboBoxOperator.SetEnumDictionaryListValue(value); } // set
		}

		#endregion // Mapovanie

		// ---------------------------------------------------------------------
		// --- FilterLogickyOperator Udalosti ----------------------------------
		// ---------------------------------------------------------------------
		private void ButtonOK_Click(object sender, RoutedEventArgs e)
		{
			DialogResult = true;
		}
	} // public partial class FilterLogickyOperator

} // namespace EvidenciaUctov.Dialogy