﻿using System.Windows;

namespace EvidenciaUctov.Dialogy
{
	// *************************************************************************
	// *** HladatDialog ********************************************************
	// *************************************************************************
	public partial class HladatDialog : Window
	{
		// ---------------------------------------------------------------------
		// --- HladatDialog Konstruktor ----------------------------------------
		// ---------------------------------------------------------------------
		public HladatDialog()
		{
			InitializeComponent();

			this.Inicializovat(textBoxText);

			Text = Properties.Settings.Default.PosledneHladanie;
			if (!string.IsNullOrEmpty(Text))
				textBoxText.SelectAll();
		}

		// ---------------------------------------------------------------------
		// --- HladatDialog Vlastnosti -----------------------------------------
		// ---------------------------------------------------------------------
		public string Text
		{
			get { return textBoxText.Text; }
			set { textBoxText.Text = value; }
		}

		// ---------------------------------------------------------------------
		// --- HladatDialog Udalosti -------------------------------------------
		// ---------------------------------------------------------------------
		private void ButtonOK_Click(object sender, RoutedEventArgs e)
		{
			Properties.Settings.Default.PosledneHladanie = Text;
			DialogResult = true;
		}
	} // public partial class HladatDialog

} // namespace EvidenciaUctov.Dialogy